# Record Class CJ1AuditSearchParameters

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1AuditSearchParameters

All Implemented Interfaces:
  `CJ1ValueType`

@JsonClassDescription("Parameters to search for audit events.") public record CJ1AuditSearchParameters(Optional<UUID> owner, CJ1ComparisonExactType<String> type, CJ1TimeRange timeRange, CJ1UnsignedLong pageSize) extends Record implements CJ1ValueType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1AuditSearchParameters(Optional<UUID> owner, CJ1ComparisonExactType<String> type, CJ1TimeRange timeRange, CJ1UnsignedLong pageSize)`
  Creates an instance of a `CJ1AuditSearchParameters` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Optional<UUID>`
  `owner()`
  Returns the value of the `owner` record component.
  `CJ1UnsignedLong`
  `pageSize()`
  Returns the value of the `pageSize` record component.
  `CJ1TimeRange`
  `timeRange()`
  Returns the value of the `timeRange` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CJ1ComparisonExactType<String>`
  `type()`
  Returns the value of the `type` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1AuditSearchParameters

    public CJ1AuditSearchParameters(@JsonPropertyDescription("Include audit results for the given user.") Optional<UUID> owner, @JsonPropertyDescription("Include events with types matching the given expression.") CJ1ComparisonExactType<String> type, @JsonPropertyDescription("Include events within the given time range.") CJ1TimeRange timeRange, @JsonPropertyDescription("The maximum number of events per page.") CJ1UnsignedLong pageSize)
    Creates an instance of a `CJ1AuditSearchParameters` record class.
    Parameters:
      `owner` - the value for the `owner` record component
      `type` - the value for the `type` record component
      `timeRange` - the value for the `timeRange` record component
      `pageSize` - the value for the `pageSize` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### owner

    @JsonPropertyDescription("Include audit results for the given user.") public Optional<UUID> owner()
    Returns the value of the `owner` record component.
    Returns:
      the value of the `owner` record component

  - ### type

    @JsonPropertyDescription("Include events with types matching the given expression.") public CJ1ComparisonExactType<String> type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component

  - ### timeRange

    @JsonPropertyDescription("Include events within the given time range.") public CJ1TimeRange timeRange()
    Returns the value of the `timeRange` record component.
    Returns:
      the value of the `timeRange` record component

  - ### pageSize

    @JsonPropertyDescription("The maximum number of events per page.") public CJ1UnsignedLong pageSize()
    Returns the value of the `pageSize` record component.
    Returns:
      the value of the `pageSize` record component